import {
  AfterContentInit, Component,
  OnInit
} from '@angular/core';
import { Anim } from './animation';
import { Service } from '@overflow/commons-typescript/model/discovery';

@Component({
  selector: 'of-discovery-search-filter',
  templateUrl: './search-filter.component.html',
  animations: Anim
})
export class SearchFilterComponent implements OnInit, AfterContentInit {

  startHostIp: string;
  endHostIp: string;

  services: Service[] = [];

  constructor(
  ) {
  }

  ngOnInit() {
  }

  ngAfterContentInit() {
  }

  onInputIP(event, idx) {

  }

  addService(service: Service) {
    if (this.services.includes(service)) {
      return;
    }
    this.services.push(service);
  }
}
