import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';
import { ProbeModule } from '@overflow/probe/probe.module';

import { ProbeDownloadPageComponent } from './download-page.component';
import { ProbeDownloadPageRoutingModule } from './download-page-routing.module';

@NgModule({
  imports: [
    CommonModule,
    UIModule,
    ProbeDownloadPageRoutingModule,
    ProbeModule
  ],
  entryComponents: [
  ],
  declarations: [ProbeDownloadPageComponent]
})
export class ProbeDownloadPageModule { }
