import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';
import { TargetModule } from '@overflow/target/target.module';

import { TargetPageRoutingModule } from './target-page-routing.module';
import { TargetPageComponent } from './target-page.component';
import { TabbarModule } from '../../commons/component/layout/tabbar/app.tabbar.module';

@NgModule({
  imports: [
    CommonModule,
    UIModule,
    TargetPageRoutingModule,
    TargetModule,
    TabbarModule
  ],
  declarations: [
    TargetPageComponent
  ]
})
export class TargetPageModule { }
