import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { UIModule } from '@overflow/shared/ui/ui.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { SensorItemModule } from '../sensor-item/sensor-item.module';

@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        UIModule,
        SensorItemModule,
    ],
    declarations: [
        COMPONENTS,
    ],
    exports: [
        COMPONENTS,
    ],
    providers: [
        SERVICES,
    ]
})
export class SensorModule { }

