import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';
import { ProbeModule } from '@overflow/probe/probe.module';

import { ProbeTabPageComponent } from './probe-tab-page.component';
import { ProbeTabPageRoutingModule } from './probe-tab-page-routing.module';
import { TabbarModule } from '../../commons/component/layout/tabbar/app.tabbar.module';

@NgModule({
  imports: [
    CommonModule,
    UIModule,
    ProbeTabPageRoutingModule,
    ProbeModule,
    TabbarModule,
  ],
  declarations: [
    ProbeTabPageComponent,
  ]
})
export class ProbeTabPageModule { }
