import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';
import { TargetModule } from '@overflow/target/target.module';

import { TargetsPageRoutingModule } from './targets-page-routing.module';
import { TargetsPageComponent } from './targets-page.component';

@NgModule({
  imports: [
    CommonModule,
    UIModule,
    TargetsPageRoutingModule,
    TargetModule,
  ],
  declarations: [
    TargetsPageComponent
  ]
})
export class TargetsPageModule { }
